Google Shopping Product Search
curl --request POST \
--url https://api.aisa.one/apis/v1/google-shopping/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "<string>",
"shoprs": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/google-shopping/search"
payload = {
"q": "<string>",
"shoprs": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({q: '<string>', shoprs: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/google-shopping/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google-shopping/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'q' => '<string>',
'shoprs' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google-shopping/search"
payload := strings.NewReader("{\n \"q\": \"<string>\",\n \"shoprs\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/google-shopping/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"q\": \"<string>\",\n \"shoprs\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google-shopping/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"q\": \"<string>\",\n \"shoprs\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Google Shopping
Google Shopping Product Search
Google Shopping Product Search
<!-- aisa-pricing:start -->
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
google-shopping
/
search
Google Shopping Product Search
curl --request POST \
--url https://api.aisa.one/apis/v1/google-shopping/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "<string>",
"shoprs": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/google-shopping/search"
payload = {
"q": "<string>",
"shoprs": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({q: '<string>', shoprs: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/google-shopping/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google-shopping/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'q' => '<string>',
'shoprs' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google-shopping/search"
payload := strings.NewReader("{\n \"q\": \"<string>\",\n \"shoprs\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/google-shopping/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"q\": \"<string>\",\n \"shoprs\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google-shopping/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"q\": \"<string>\",\n \"shoprs\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Request contract
- Method and path: POST /apis/v1/google-shopping/search
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/google-shopping/search - Runtime facts: de692cbd38ba4ebec7f319c3d36bdc2d533eca30cb0b74456b0a697bc5a978d3
{
"operationId": "post_google_shopping_apis_v1_google_shopping_search",
"method": "POST",
"path": "/apis/v1/google-shopping/search",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"anyOf": [
{
"additionalProperties": false,
"properties": {
"device": {
"enum": [
"desktop",
"tablet",
"mobile"
],
"type": "string"
},
"free_shipping": {
"type": "boolean"
},
"gl": {
"pattern": "^[a-zA-Z]{2}$",
"type": "string"
},
"google_domain": {
"minLength": 1,
"type": "string"
},
"hl": {
"maxLength": 32,
"minLength": 2,
"type": "string"
},
"location": {
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"max_price": {
"minimum": 0,
"type": "number"
},
"min_price": {
"maximum": 1000000000,
"minimum": 0,
"type": "number"
},
"num": {
"maximum": 100,
"minimum": 1,
"type": "integer"
},
"on_sale": {
"type": "boolean"
},
"q": {
"maxLength": 2048,
"minLength": 1,
"type": "string"
},
"shoprs": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
},
"small_business": {
"type": "boolean"
},
"sort_by": {
"enum": [
"1",
"2",
"3",
"4"
],
"type": "string"
},
"start": {
"maximum": 1000,
"minimum": 0,
"type": "integer"
},
"uule": {
"maxLength": 2048,
"minLength": 1,
"type": "string"
}
},
"required": [
"q"
],
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"device": {
"enum": [
"desktop",
"tablet",
"mobile"
],
"type": "string"
},
"free_shipping": {
"type": "boolean"
},
"gl": {
"pattern": "^[a-zA-Z]{2}$",
"type": "string"
},
"google_domain": {
"minLength": 1,
"type": "string"
},
"hl": {
"maxLength": 32,
"minLength": 2,
"type": "string"
},
"location": {
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"max_price": {
"minimum": 0,
"type": "number"
},
"min_price": {
"maximum": 1000000000,
"minimum": 0,
"type": "number"
},
"num": {
"maximum": 100,
"minimum": 1,
"type": "integer"
},
"on_sale": {
"type": "boolean"
},
"q": {
"maxLength": 2048,
"minLength": 1,
"type": "string"
},
"shoprs": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
},
"small_business": {
"type": "boolean"
},
"sort_by": {
"enum": [
"1",
"2",
"3",
"4"
],
"type": "string"
},
"start": {
"maximum": 1000,
"minimum": 0,
"type": "integer"
},
"uule": {
"maxLength": 2048,
"minLength": 1,
"type": "string"
}
},
"required": [
"shoprs"
],
"type": "object"
}
]
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Cost contract: response_units
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Required string length:
1 - 2048Available options:
desktop, tablet, mobile Pattern:
^[a-zA-Z]{2}$Minimum string length:
1Required string length:
2 - 32Required string length:
1 - 512Required range:
x >= 0Required range:
0 <= x <= 1000000000Required range:
1 <= x <= 100Required string length:
1 - 4096Available options:
1, 2, 3, 4 Required range:
0 <= x <= 1000Required string length:
1 - 2048Response
Normalized successful response